Page MenuHomePhabricator

Deploy "Deadlines" feature
Closed, ResolvedPublicApr 11 2018

Description

Details

Due Date
Apr 11 2018, 5:00 AM

Event Timeline

mmodell created this task.Apr 10 2018, 2:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2018, 2:47 AM

Kind of a dup of T76094 ?

mmodell claimed this task.Apr 10 2018, 9:34 PM
mmodell closed this task as Resolved.Apr 12 2018, 12:58 AM
mmodell reopened this task as Open.
mmodell edited a custom field.
mmodell closed this task as Resolved.Apr 12 2018, 1:04 AM
mmodell set Due Date to Apr 11 2018, 5:00 AM.
mmodell removed the point value for this task.

(If I edit a regular, existing task, is there any way to get that "Due Date" field displayed?)

@Aklapper: Unfortunately, no it only works for newly created tasks that use the 'deadline' form to set the subtype of the task. I could add the field to all tasks but that would be distracting on the majority of tasks which wouldn't use it.

@Aklapper: FYI it is now possible to change the type of a task using conduit or herald. Examples: {H295} {H296}

Motionlab added a subscriber: Motionlab.EditedSep 24 2018, 3:41 PM


I'm really struggling with this.

Is this an auto-magic field? In that I simply add a field to Maniphest and it's supposed to work?

my Maniphest.custom-field-definitions looks like this:

{

"due": {
  "name": "Due Date",
  "type": "date"
},
"mycompany:estimated-hours": {
  "name": "Estimated Hours",
  "type": "int",
  "caption": "Estimated number of hours this will take."
},
"mycompany:actual-hours": {
  "name": "Actual Hours",
  "type": "int",
  "caption": "Actual number of hours this took."
}

}

My Maniphest.subtypes like this:
[

{
  "key": "default",
  "name": "Task"
},
{
  "key": "bug",
  "name": "Bug"
},
{
  "key": "feature",
  "name": "Feature Request"
},
{
  "key": "deadline",
  "name": "Deadline"
}

]

I've tried naming the field 'deadline', 'due date' and a few other variants, plus tried naming the field group multiple things 'deadline', 'mycompany' etc. before removing the field group as per the example url. The name is set to 'due' now as that appears to be its name in this example: https://phabricator.wikimedia.org/maniphest/task/edit/form/37/

I've tried creating a new form and subtype called deadline and assigning that edit form to the deadline subtype.

But the deadline date doesn't appear on the project board. Just a marker that it's a subtype "DEADLINE"

I've just done a Phabricator upgrade as our install was running a May '18 version but no change.

Am I missing something? Thanks for any help.

@Motionlab: Please ask general Phabricator questions which are not directly related to Wikimedia's Phabricator instance in the Phabricator forum at https://discourse.phabricator-community.org/ - thanks!

Motionlab added a comment.EditedSep 24 2018, 5:34 PM

will do, apologies, followed a trail of links and didn't realise!

mmodell added a comment.EditedOct 5 2018, 6:14 AM

@Motionlab: what you may be missing is our customizations in rPHEX phabricator-extensions: DeadlineEditEngineSubtype.php